%Reference Clendinen, C. S., Lee-McMullen, B., Williams, C., Stupp, G. S., Vandenborne, K., Hahn, D. A., et al. (2014). 13C NMR Metabolomics: Applications at Natural Abundance. Analytical Chemistry. doi:10.1021/ac502346h

%%
loadallft

%%
[X,ppm,Xtitles]=Setup1D(spectra);

%%
plotr(ppm,X)

%% baseline correction
[A,S]=showBaseline(X, ppm, 9e12, 1e5);

%%
XNew=CorrectBl(X, A, S);

%% import Y vector 

%Y=cellfun(@(x) x-'A', Glist, 'UniformOutput', false)

%%
%Yvec=cell2mat(Y);

%% Y if not in the excel format

Y=[1 1 1 1 1 1 1 1 1 1 1 0 0 0 0 0 ]

%%
compare1D(X,XNew,ppm,Y);

%%
displaypeak1D(XNew,ppm,0,Y);

%% remove ends

[XR,ppmR]=remove_ends(XNew,ppm,0.5166,8.576);

%%
plotr(ppmR,XR);

%%
XR=remove_region(XNew,ppm,4.05,4.2);

%%
plotr(ppm,XR);

%%
XAL=star_align1D(XR,ppm,'mean','PAFFT');
displaypeak1D(XAL,ppm,0,Y);


%% reference alanine
ppm=ppm+0.019;

%%
normcheck(XAL)

%%
XALN=normalize(XAL,ppm,'PQN');
normcheck(XALN)

%%
displaypeak1D(XALN,ppm,0,Y);

%%
mean1=mean(XALN(Y==1,:));
mean2=mean(XALN(Y==0,:));

%%
figure,hold
plot(ppm, mean1, 'r')
plot(ppm, mean2, 'b')
set(gca,'XDir','rev')   


%%
XALSN=scale(XALN,'pareto');

%%
PCA=nipalsPCA(XALSN,5);

%%
VisScores(XALSN,PCA,[1 2],Y);
VisScores(XALSN,PCA,[1 3],Y);
VisScores(XALSN,PCA,[1 4],Y);
VisScores(XALSN,PCA,[1 5],Y);
VisScores(XALSN,PCA,[2 3],Y);
VisScores(XALSN,PCA,[2 4],Y);
VisScores(XALSN,PCA,[2 5],Y);
VisScores(XALSN,PCA,[3 4],Y);
VisScores(XALSN,PCA,[3 5],Y);
VisScores(XALSN,PCA,[4 5],Y);


%%
VisLoadings1D(XALN,PCA.loadings(2,:),ppm)

%%
PLS=plsPV(XALN,Y,4,'da',10,'pareto');

%%
PLS=plsCV(Y,XALSN,4,'da',10)

%%
VisScores(XALSN,PLS,[1 2],Y);
VisScores(XALSN,PLS,[1 3],Y);
VisScores(XALSN,PLS,[1 4],Y);
VisScores(XALSN,PLS,[1 5],Y);
VisScores(XALSN,PLS,[2 3],Y);
VisScores(XALSN,PLS,[2 4],Y);
VisScores(XALSN,PLS,[2 5],Y);
VisScores(XALSN,PLS,[3 4],Y);
VisScores(XALSN,PLS,[3 5],Y);
VisScores(XALSN,PLS,[4 5],Y);

%%
VisLoadings1D(XALN,PLS.loadings(2,:),ppm)

%%
STOCSY(3.208,XALN,ppm); 

